# Retrieve a Hook

`GET /lokta-lms/api/v1/hooks/{hookId}`

Returns one hook, found by its id.

Returns the details of a Hook.

## Parameters
- `hookId` (path, integer, required): hookId
- `template` (query, boolean): template

## Responses
- `default`: default response

## Response fields
- `config` (array of HookFieldData)
- `createdAt` (string)
- `displayName` (string)
- `events` (array of HookEventData)
- `groupings` (array of HookGroupingData)
- `id` (integer)
- `isActive` (boolean)
- `name` (string)
- `templates` (array of HookTemplateData)
- `updatedAt` (string)

## Example request (cURL)
```bash
curl -X GET \
  'https://default.lokta.tech/lokta-lms/api/v1/hooks/{hookId}' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default'
```

## Example response
```json
{
  "config": [
    {}
  ],
  "createdAt": "string",
  "displayName": "string",
  "events": [
    {}
  ]
}
```

Interactive: https://developer.lokta.ai/reference#operation/retrieveOneHook
